import MenuChange from "@/components/MenuChange";
import { ProColumns } from "@ant-design/pro-components";
import { Badge, TableColumnsType } from "antd";

export const columns = (): ProColumns<any>[] => {
    return [
        // {
        //     title: "ID",
        //     dataIndex: 'id',
        //     hideInSearch: true,
        //     align: "center",
        //     key: "id"
        // },
        {
            title: "小程序名称",
            dataIndex: 'appName',
            key: "appName",
            align: "center",
        },
        {
            title: "AppId",
            dataIndex: 'appId',
            key: "appId",
            hideInSearch: true,
            align: "center",
        },

        {
            title: "运营载体状态",
            dataIndex: 'status',
            key: "status",
            hideInSearch: true,
            align: "center",
            render: (a) => {
                return <Badge status={a ? "processing" : "error"} text={a ? "有" : "无"} />
            }
        },
        {
            title: "操作",
            dataIndex: 'option',
            valueType: 'option',
            align: "center",
            render: (_, record) => {
                return <MenuChange menuType="miniApp" data={{ ...record, appType: record.status ? 1 : 2 }}><a type='primary'>管理</a></MenuChange>
            },
        },
    ];
}
export const childrenColumns: TableColumnsType<any> = [
    {
        title: "载体名称",
        dataIndex: 'carrierName',
        key: "carrierName",
        align: "center",
    },
    {
        title: "载体类型",
        dataIndex: 'carrierType',
        key: "carrierType",
        align: "center",
        render: (a: string, b: any) => {
            return { '1': '企业微信', "2": "公众号" }[a]
        }
    },
    {
        title: "绑定时间",
        dataIndex: 'createTime',
        key: "createTime",
        align: "center",
    }
]