import { ProColumns } from "@ant-design/pro-components";

export const columns = (): ProColumns<any>[] => {
    let obj: any = { '1': '书币充值', '2': '参加活动获取', '3': '抽奖获取', '-1': '阅读长篇小说消费', '-2': '阅读短篇小说消费' };
    return [
        {
            title: "ID",
            dataIndex: 'id',
            hideInSearch: true,
            align: "center",
            key: "id"
        },
        {
            title: "用户ID",
            dataIndex: 'userId',
            key: "userId",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "小说名称",
            dataIndex: 'longBookName',
            key: "longBookName",
            align: "center",
            hideInSearch: true,
            render: (a, b) => {
                return b?.longBookName || b?.shortBookName
            },
        },
        {
            title: "章节/段落名称",
            dataIndex: 'longBookChapterName',
            key: "longBookChapterName",
            align: "center",
            hideInSearch: true,
            render: (a, b) => {
                return b?.longBookChapterName || b?.shortBookParagraphId
            },
        },
        {
            title: "书币变更数量",
            tooltip: "（负数：消费、正数：充值）",
            dataIndex: 'coinChangeNum',
            key: "coinChangeNum",
            hideInSearch: true,
            align: "center",
        },
        {
            title: "书币变更后剩余书币",
            dataIndex: 'coinRemainingNum',
            key: "coinRemainingNum",
            hideInSearch: true,
            align: "center",
        },
        {
            title: "充值金额",
            dataIndex: 'rechargeMoney',
            key: "rechargeMoney",
            hideInSearch: true,
            align: "center",
        },
        {
            title: "书币变更类型",
            dataIndex: 'changeType',
            key: "changeType",
            hideInSearch: true,
            align: "center",
            render: (a: any) => {
                return obj[a]
            }
        },
        {
            title: "使用时间",
            dataIndex: 'createTime',
            key: "createTime",
            hideInSearch: true,
            align: "center",
        },
        // 搜索条件
        // {
        //     hideInTable: true,
        //     dataIndex: 'appType',
        //     title:"小程序类型",
        //     valueType:'select',
        //     initialValue:'1',
        //     valueEnum:{"1":"微信小程序","2":"抖音小程序"}
        // },
        {
            hideInTable: true,
            dataIndex: 'changeType',
            title:"书币变更类型",
            valueType:'select',
            valueEnum:{ '1': '书币充值', '2': '参加活动获取', '3': '抽奖获取', '-1': '阅读长篇小说消费', '-2': '阅读短篇小说消费' }
        },
        {
            title: "开始时间",
            dataIndex: 'startTime',
            valueType: 'dateTime',
            hideInTable: true
        },
        {
            title: "结束时间",
            dataIndex: 'endTime',
            valueType: 'dateTime',
            hideInTable: true
        },
    ];
}