import { api } from '@/services/api';
import { request } from '@umijs/max';
type Page={
    pageSize:number|string,
    pageNum:number|string
}

export interface Params extends Page{
    miniappId:string,//微信小程序组件ID
    distributorId:string,//分销商ID
    appType:string,//小程序类型 1:微信小程序、2：抖音小程序
    startTime?:string,//开始时间
    endTime?:string,//结束时间
}
// ======================================长篇================================
/**获取分销商账号列表 */
export async function longBookReadLogList(params:Params) {
  return request(api+'/admin/longBookReadLog/list', {
    method: 'GET',
    params
  });
}

// ======================================短篇================================
export async function shortBookReadLogList(params:Params) {
    return request(api+'/admin/shortBookReadLog/list', {
      method: 'GET',
      params
    });
  }